Skip to main content
POST
/
api
/
v1
/
custom_pipelines
/
seed
Seed Custom Pipeline
import requests

url = "https://www.datalab.to/api/v1/custom_pipelines/seed"

payload = {
    "name": "<string>",
    "request_description": "<string>",
    "pipeline_params": {},
    "original_params": {},
    "eval_definition": {},
    "pipeline_id": "<string>",
    "template_slug": "<string>",
    "template_description": "<string>",
    "template_category": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "success": true,
  "pipeline_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Body

application/json

Request body for seeding a custom pipeline directly (no agent).

name
string
required

Display name for the pipeline

Maximum string length: 120
request_description
string
required

Description of what this pipeline does

pipeline_params
Pipeline Params · object
required

Pipeline parameters (must contain 'modifications' array)

original_params
Original Params · object

Base pipeline parameters

eval_definition
Eval Definition · object

Evaluation definition for running evals against this pipeline

pipeline_id
string | null

Optional fixed pipeline ID (default: auto-generated)

template_slug
string | null

URL-friendly slug to create this pipeline as a template

template_description
string | null

Public-facing template description

template_category
string | null

Template category (e.g. Research, Business)

Response

Successful Response

Response after seeding a custom pipeline.

success
boolean
required
pipeline_id
string
required